Skip to main content
POST
/
v3
/
analytics
/
precompute-feature-importance
Precompute feature importance
curl --request POST \
  --url https://{host}/v3/analytics/precompute-feature-importance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "env_type": "<string>",
  "num_refs": 500000,
  "num_iterations": 50000,
  "ci_level": 0.5
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "job": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model_id
string<uuid>
required
env_id
string<uuid>
required
env_type
string
required
num_refs
integer

Number of reference points used in the explanations

Required range: 1 <= x <= 1000000
num_iterations
integer

The maximum number of ablated model inferences per feature

Required range: 1 <= x <= 100000
ci_level
number

The confidence interval level (between 0 and 1) to use for all confidence intervals computed

Required range: 0 <= x <= 1

Response

Feature importance pre-computation ran successfully on the given data

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object